dockerd requires ca-certificates
authorElan Ruusamäe <glen@delfi.ee>
Wed, 2 Nov 2016 07:07:58 +0000 (09:07 +0200)
committerElan Ruusamäe <glen@delfi.ee>
Wed, 2 Nov 2016 07:07:58 +0000 (09:07 +0200)
any docker pull fails otherwise:

Error while pulling image: Get https://index.docker.io/v1/repositories/ed/dind/images: x509: failed to load system roots and no roots provided

docker.spec

index 29ceecdf9689ae975310813f95577e9e4dca23b2..cbd6c380be482082892b9c0775c4f772182ae074 100644 (file)
@@ -40,6 +40,7 @@ Requires(post,preun): /sbin/chkconfig
 Requires(postun):      /usr/sbin/groupdel
 Requires(pre): /usr/bin/getgid
 Requires(pre): /usr/sbin/groupadd
+Requires:      ca-certificates
 Requires:      iproute2 >= 3.5
 Requires:      iptables
 Requires:      rc-scripts >= 0.4.0.10
This page took 0.109824 seconds and 4 git commands to generate.